Bug 239932 - devel/libgit2: Update to 0.28.3
Summary: devel/libgit2: Update to 0.28.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL: https://github.com/libgit2/libgit2/re...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-08-17 21:29 UTC by Tobias Kortkamp
Modified: 2019-08-21 12:10 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mfechner)


Attachments
libgit2.diff (948 bytes, patch)
2019-08-17 21:29 UTC, Tobias Kortkamp
tobik: maintainer-approval? (mfechner)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-08-17 21:29:19 UTC
Created attachment 206647 [details]
libgit2.diff

0.28.2 and 0.28.3 have a bunch of bug, security, and reliability
fixes.

The ABI has been stable according to ABI Laboratory with no soname bump,
so PORTREVISION bumps of dependent ports should not be necessary.

Builds fine in Poudriere on 11.2/i386, 12.0/amd64, 13.0/amd64

Changes:	https://github.com/libgit2/libgit2/releases
ABI:		https://abi-laboratory.pro/tracker/timeline/libgit2/
Comment 1 Matthias Fechner freebsd_committer 2019-08-18 09:18:42 UTC
Thanks Tobias,

I will include this into the upcoming upgrade for gitlab-ce to version 12.1.6:
https://gitlab.fechner.net/mfechner/Gitlab/commit/5e4c798daff0671f379ba807d408596f3c38cecb
Comment 2 Matthias Fechner freebsd_committer 2019-08-18 09:40:53 UTC
I added a vuxml entry for this.
I will test everything and if we have rubygem-rails 5.2.3 in the ports, I will commit everything together with the gitlab-ce upgrade.

Thanks.
Comment 3 commit-hook freebsd_committer 2019-08-20 18:05:04 UTC
A commit references this bug:

Author: mfechner
Date: Tue Aug 20 18:04:09 UTC 2019
New revision: 509438
URL: https://svnweb.freebsd.org/changeset/ports/509438

Log:
  devel/libgit2: security upgrade to 0.28.3.

  PR:		239932
  Submitted by:	tobik
  Approved by:	mfechner
  MFH:		2019Q3
  Security:	d51b52cf-c199-11e9-b13f-001b217b3468

Changes:
  head/devel/libgit2/Makefile
  head/devel/libgit2/distinfo
Comment 4 Matthias Fechner freebsd_committer 2019-08-20 18:07:28 UTC
Thanks.
Comment 5 commit-hook freebsd_committer 2019-08-21 12:10:22 UTC
A commit references this bug:

Author: mfechner
Date: Wed Aug 21 12:09:40 UTC 2019
New revision: 509501
URL: https://svnweb.freebsd.org/changeset/ports/509501

Log:
  MFH: r509438

  devel/libgit2: security upgrade to 0.28.3.

  PR:		239932
  Submitted by:	tobik
  Approved by:	mfechner
  Security:	d51b52cf-c199-11e9-b13f-001b217b3468

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/devel/libgit2/Makefile
  branches/2019Q3/devel/libgit2/distinfo